# Class PanoCircleMeshCustom

地面提示点位接口

点位状态

1. 默认状态: 无任何操作的情况
2. 高亮状态: 高亮，认为是合适的下一个点位，或者设备选中了某个点位
3. 进度状态: 点位加载中，存在进度的情况
4. 加载状态: 点位加载中，不存在进度的情况
5. 不可用状态：点位不可用，存在点位，但是点位是个摆设
6. 点击动画： 点位被选择，触发全景图切换
7. 透明度改变： 一般会处理为近的点位透明度高，远的点位透明度低

#### Hierarchy

- Object3D
  - PanoCircleMeshCustom

#### Implements

- PanoCircleMeshInterface

- Defined in lib/five/meshes/panoCircleMeshCustom.ts:194

##### Index

### Constructors

constructor

### Properties

current
disabled
loading
needsRender
opacity
progress

### Methods

dispose
setCurrent
setDisabled
setLoading
setOpacity
setProgress
tap
updateTime

## Constructors

### constructor

- new PanoCircleMeshCustom(
  options?: PanoCircleMeshCustomOptions,
  ): PanoCircleMeshCustom

  #### Parameters

  - options: PanoCircleMeshCustomOptions = {}

  #### Returns PanoCircleMeshCustom

  Overrides THREE.Object3D.constructor

  - Defined in lib/five/meshes/panoCircleMeshCustom.ts:215

## Properties

### current

current: boolean

当前高亮

Implementation of PanoCircleMeshInterface.current

- Defined in lib/five/meshes/panoCircleMeshCustom.ts:209

### disabled

disabled: boolean

Implementation of PanoCircleMeshInterface.disabled

- Defined in lib/five/meshes/panoCircleMeshCustom.ts:211

### loading

loading: boolean

Implementation of PanoCircleMeshInterface.loading

- Defined in lib/five/meshes/panoCircleMeshCustom.ts:210

### needsRender

needsRender: boolean

Implementation of PanoCircleMeshInterface.needsRender

- Defined in lib/five/meshes/panoCircleMeshCustom.ts:196

### opacity

opacity: number

Implementation of PanoCircleMeshInterface.opacity

- Defined in lib/five/meshes/panoCircleMeshCustom.ts:208

### progress

progress: number

Implementation of PanoCircleMeshInterface.progress

- Defined in lib/five/meshes/panoCircleMeshCustom.ts:207

## Methods

### dispose

- dispose(): void

  #### Returns void

  Implementation of PanoCircleMeshInterface.dispose

  - Defined in lib/five/meshes/panoCircleMeshCustom.ts:462

### setCurrent

- setCurrent(current: boolean): void

  是否当前高亮

  #### Parameters

  - current: boolean

  #### Returns void

  Implementation of PanoCircleMeshInterface.setCurrent

  - Defined in lib/five/meshes/panoCircleMeshCustom.ts:349

### setDisabled

- setDisabled(disabled: boolean): void

  #### Parameters

  - disabled: boolean

  #### Returns void

  Implementation of PanoCircleMeshInterface.setDisabled

  - Defined in lib/five/meshes/panoCircleMeshCustom.ts:367

### setLoading

- setLoading(loading: boolean): void

  #### Parameters

  - loading: boolean

  #### Returns void

  Implementation of PanoCircleMeshInterface.setLoading

  - Defined in lib/five/meshes/panoCircleMeshCustom.ts:358

### setOpacity

- setOpacity(opacity: number): void

  #### Parameters

  - opacity: number

  #### Returns void

  Implementation of PanoCircleMeshInterface.setOpacity

  - Defined in lib/five/meshes/panoCircleMeshCustom.ts:343

### setProgress

- setProgress(progress: number): void

  #### Parameters

  - progress: number

  #### Returns void

  Implementation of PanoCircleMeshInterface.setProgress

  - Defined in lib/five/meshes/panoCircleMeshCustom.ts:323

### tap

- tap(): Promise<void>

  点击交互

  #### Returns Promise<void>

  Implementation of PanoCircleMeshInterface.tap

  - Defined in lib/five/meshes/panoCircleMeshCustom.ts:376

### updateTime

- updateTime(time: number, deltaTime: number): void

  #### Parameters

  - time: number
  - deltaTime: number

  #### Returns void

  Implementation of PanoCircleMeshInterface.updateTime

  - Defined in lib/five/meshes/panoCircleMeshCustom.ts:392